com.corticon.eclipse.studio.vocabulary.core

## Interface IEntity

- All Superinterfaces:
    java.lang.Cloneable, IElement

      public interface IEntity
      extends IElement

  IEntity is an immutable convenience facade that wraps an EClass and its annotation-based extension, making them appear to the client as a single object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VERSION_STRATEGY_DATE_TIME`
    `static java.lang.String` | `VERSION_STRATEGY_VERSION_NUMBER`

    - ### Fields inherited from interface com.corticon.eclipse.studio.vocabulary.core.IElement

      `IDENTITY_STRATEGY_IDENTITY, IDENTITY_STRATEGY_INCREMENT, IDENTITY_STRATEGY_NATIVE, IDENTITY_STRATEGY_SEQUENCE, IDENTITY_STRATEGY_UUID_HEX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getAllAssociationEnds()` Return a list of all association ends belonging to this entity.
    `java.util.List` | `getAllAssociationEnds(boolean abDeclaredOnly)` Return a list of all association ends belonging to this entity.
    `java.util.List` | `getAllAssociationEnds(boolean abDeclaredOnly, boolean abIncludeQualifiers)` Return a list of all association ends belonging to this entity.
    `java.util.List` | `getAllAttributes()` Return a list of all attributes belonging to this entity.
    `java.util.List` | `getAllAttributes(boolean abDeclaredOnly)` Return a list of all attributes belonging to this entity.
    `java.util.ArrayList` | `getAllBaseAttributeNames()` Return an list of all base attribute names for a given entity.
    `java.util.ArrayList` | `getAllBaseAttributeNames(boolean abDeclaredOnly)` Return an list of all base attribute names for a given entity.
    `java.util.ArrayList` | `getAllBaseAttributes()` Return a list of all base attributes for a given entity.
    `java.util.ArrayList` | `getAllBaseAttributes(boolean abDeclaredOnly)` Return a list of all base attributes for a given entity.
    `java.util.List` | `getAssociationEndQualifiers(IAssociationEnd aIAssociationEnd)` Given an association end, return a list of association end qualifiers.
    `java.lang.String` | `getCDOInterfacePackage()` This method will return the fully qualified pacage of the CDO InterfaceName.
    `java.lang.String` | `getCDOName()` This will return the CDO Name
    `java.lang.String` | `getCDOPackage()` This method will return the fully qualified package of the CDO Name.
    `java.lang.String` | `getClassTable()` Return the JPOX class:table property.
    `java.lang.String` | `getDatastoreCaching()` Return the datastore caching flag.
    `java.lang.String` | `getDatastoreIdentityColumn()` Return the JPOX datastore-identity:column property.
    `java.lang.String` | `getDatastoreIdentitySequence()` Return the JPOX datastore-identity:sequence property.
    `java.lang.String` | `getDatastoreIdentitySequenceNameColumnName()` Return the JPOX datastore-identity:sequence-name-column-name property.
    `java.lang.String` | `getDatastoreIdentitySequenceNextvalColumnName()` Return the JPOX datastore-identity:sequence-nextval-column-name property.
    `java.lang.String` | `getDatastoreIdentitySequenceTableName()` Return the JPOX datastore-identity:sequence-table-name property.
    `java.lang.String` | `getDatastoreIdentityStrategy()` Return the JPOX datastore-identity:strategy property.
    `java.lang.String` | `getDatastorePersistent()` Return the datastore-persistent flag.
    `java.lang.String` | `getDomainHierarchy()` Return the domain hierarchy for this entity.
    `java.lang.String` | `getDomainHierarchy(boolean abBase)` Return the base or localized domain hierarchy for this entity.
    `org.eclipse.emf.ecore.EClass` | `getEClass()` Returns the EClass that this facade wraps.
    `ValueSet` | `getEntityIdentity()` Return the entity identity ValueSet consisting of element names.
    `java.util.List` | `getEntityIdentityList()` Return a list consisting of the IAttribute and IAssociationEnd instances that represent the entity identity.
    `com.corticon.rulesemf.canonicalvocabularymodel.EntityExtension` | `getExtension()` Return the EntityExtension for this EClass if any.
    `java.lang.String` | `getFullEntityNameUnderscoreIDForXMLDocuments(com.corticon.rulesemf.viewtestmodel.testsheet.treeset.TestNode aTestNode)` Deprecated.
    `java.lang.String` | `getFullyQualifiedCDOInterfaceName()` This method will return the fully qualified CDO Interface Name.
    `java.lang.String` | `getFullyQualifiedCDOName()` This method will return the fully qualified CDO Name.
    `java.lang.String` | `getFullyQualifiedName()` Return the base fully-qualified name of this entity.
    `java.lang.String` | `getFullyQualifiedName(boolean abBase)` Return the base or localized fully-qualified name of this entity.
    `java.util.ArrayList` | `getIdentityAssociationEnds()` Return an list of all identity association ends.
    `java.util.ArrayList` | `getIdentityAttributes()` Return an list of all identity attributes.
    `java.lang.String` | `getJavaClassName()` Return the Java Class Name
    `java.lang.String` | `getJavaPackage()` Return the Java package name.
    `java.lang.String` | `getName()` Return the unqualified class name.
    `IDomain` | `getParentDomain()` Return the parent domain of this entity.
    `java.util.List` | `getSubtypeList()` Return a List of IEntity instances which are direct subtypes of this entity.
    `java.util.List` | `getSupertypeList()` Return a List of IEntity instances which are the supertypes of this entity.
    `ValueSet` | `getSupertypes()` Return a value set consisting of the fully-qualified names of the supertypes from which this entity descends.
    `java.lang.String` | `getVersionColumn()` Return the JPOX version:column property.
    `java.lang.String` | `getVersionStrategy()` Return the JPOX version:strategy property.
    `java.lang.String` | `getXMLClassName()` Return the XML Class Name
    `java.lang.String` | `getXMLNamespace()` Return the XML Namespace.
    `boolean` | `isApplicationIdentity()` Convenience method to determine whether this entity uses application identity (for JPOX) as opposed to datastore identity.
    `boolean` | `isDatastoreCaching()` Convenience method to determine whether datastore caching is specified for this entity.
    `boolean` | `isDatastoreIdentity()` Convenience method to determine whether this entity uses datastore identity (for JPOX) as opposed to application identity.
    `boolean` | `isDatastorePersistent()` Convenience method to determine whether this entity is datastore-persistent.
    `boolean` | `isInstance(IEntity aIEntity)` Return `true` if the specified argument is an instance of this entity (i.e., either the same as this entity or a direct or indirect descendent entity).
    `boolean` | `isSubtype(IEntity aIEntity)` Return `true` if the specified argument is a direct or indirect subtype of this entity.
    `boolean` | `isSupertype(IEntity aIEntity)` Return `true` if the specified argument is a direct or indirect supertype of this entity.
    `boolean` | `isTable()` Determine whether this entity is mapped to a table.
    `boolean` | `isView()` Determine whether this entity is mapped to a view.
    `boolean` | `isXMLClassNameEmpty()` Return true if XML Class name is null or empty This is used to determine how to construct the XSD and the XML entity names.

    - ### Methods inherited from interface com.corticon.eclipse.studio.vocabulary.core.IElement

      `findExtension, findExtension, getAllContents, getAllContents, getChildren, getChildren, getGUID, getNamedElement, getParent, getParent, getSource, hasChildren`

- - ### Field Detail

    - #### VERSION_STRATEGY_DATE_TIME

          static final java.lang.String VERSION_STRATEGY_DATE_TIME

      See Also:
        Constant Field Values

    - #### VERSION_STRATEGY_VERSION_NUMBER

          static final java.lang.String VERSION_STRATEGY_VERSION_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAllAssociationEnds

          java.util.List getAllAssociationEnds()

      Return a list of all association ends belonging to this entity.
      Returns:
        List of type IAssociationEnd.

    - #### getAllAssociationEnds

          java.util.List getAllAssociationEnds(boolean abDeclaredOnly)

      Return a list of all association ends belonging to this entity. This list will consist solely of declared association ends (i.e., association ends explicitly declared within this entity) or both declared and inherited association ends.
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared association ends.
      Returns:
        List of type IAssociationEnd.

    - #### getAllAssociationEnds

          java.util.List getAllAssociationEnds(boolean abDeclaredOnly,
                                             boolean abIncludeQualifiers)

      Return a list of all association ends belonging to this entity. This list will consist solely of declared association ends (i.e., association ends explicitly declared within this entity) or both declared and inherited association ends. The list may also include association end qualifiers (only permitted if abDeclared only is `false`).
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared association ends.
        `abIncludeQualifiers` - `true` to include association end qualifiers.
      Returns:
        List of type IAssociationEnd.

    - #### getAllAttributes

          java.util.List getAllAttributes()

      Return a list of all attributes belonging to this entity.
      Returns:
        List of type IAttribute.

    - #### getAllAttributes

          java.util.List getAllAttributes(boolean abDeclaredOnly)

      Return a list of all attributes belonging to this entity. This list will consist solely of declared association ends (i.e., attributes declared within this entity) or both declared and inherited attributes.
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared attributes.
      Returns:
        List of type IAttribute.

    - #### getAllBaseAttributeNames

          java.util.ArrayList getAllBaseAttributeNames()

      Return an list of all base attribute names for a given entity.
      Returns:
        ArrayList of attributes names belonging to that entity.

    - #### getAllBaseAttributeNames

          java.util.ArrayList getAllBaseAttributeNames(boolean abDeclaredOnly)

      Return an list of all base attribute names for a given entity.
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared attributes.
      Returns:
        ArrayList of attributes names belonging to that entity.

    - #### getAllBaseAttributes

          java.util.ArrayList getAllBaseAttributes()

      Return a list of all base attributes for a given entity.
      Returns:
        ArrayList of IAttribute instances.

    - #### getAllBaseAttributes

          java.util.ArrayList getAllBaseAttributes(boolean abDeclaredOnly)

      Return a list of all base attributes for a given entity.
      Parameters:
        `abDeclaredOnly` - `true` to limit list to only declared attributes.
      Returns:
        ArrayList of IAttribute instances.

    - #### getAssociationEndQualifiers

          java.util.List getAssociationEndQualifiers(IAssociationEnd aIAssociationEnd)

      Given an association end, return a list of association end qualifiers. The returned list consists of instances of IAssociationEnd (with the qualifier property set to `true`). This list is comprised of a depth-first enumeration of all direct and indirect subtypes of the given association end's target entity.
      Parameters:
        `aIAssociationEnd` - Association end whose qualified associations are to be returned.
      Returns:
        List of type IAssociationEnd (qualifier set to true).

    - #### getClassTable

          java.lang.String getClassTable()

      Return the JPOX class:table property.
      Returns:
        JPOX class:table property.

    - #### getDatastoreCaching

          java.lang.String getDatastoreCaching()

      Return the datastore caching flag.
      Returns:
        `true` if entity uses datastore caching.

    - #### getDatastoreIdentityColumn

          java.lang.String getDatastoreIdentityColumn()

      Return the JPOX datastore-identity:column property.
      Returns:
        JPOX datastore-identity:column property.

    - #### getDatastoreIdentitySequence

          java.lang.String getDatastoreIdentitySequence()

      Return the JPOX datastore-identity:sequence property.
      Returns:
        JPOX datastore-identity:sequence property.

    - #### getDatastoreIdentitySequenceNameColumnName

          java.lang.String getDatastoreIdentitySequenceNameColumnName()

      Return the JPOX datastore-identity:sequence-name-column-name property.
      Returns:
        JPOX datastore-identity:sequence-name-column-name property.

    - #### getDatastoreIdentitySequenceNextvalColumnName

          java.lang.String getDatastoreIdentitySequenceNextvalColumnName()

      Return the JPOX datastore-identity:sequence-nextval-column-name property.
      Returns:
        JPOX datastore-identity:sequence-nextval-column-name property.

    - #### getDatastoreIdentitySequenceTableName

          java.lang.String getDatastoreIdentitySequenceTableName()

      Return the JPOX datastore-identity:sequence-table-name property.
      Returns:
        JPOX datastore-identity:sequence-table-name property.

    - #### getDatastoreIdentityStrategy

          java.lang.String getDatastoreIdentityStrategy()

      Return the JPOX datastore-identity:strategy property.
      Returns:
        JPOX datastore-identity:strategy property.

    - #### getDatastorePersistent

          java.lang.String getDatastorePersistent()

      Return the datastore-persistent flag.
      Returns:
        `true` if entity is datastore-persistent.

    - #### getEClass

          org.eclipse.emf.ecore.EClass getEClass()

      Returns the EClass that this facade wraps.
      Returns:
        EClass instance.

    - #### getEntityIdentity

          ValueSet getEntityIdentity()

      Return the entity identity ValueSet consisting of element names.
      Returns:
        Entity identity value set.

    - #### getEntityIdentityList

          java.util.List getEntityIdentityList()

      Return a list consisting of the IAttribute and IAssociationEnd instances that represent the entity identity.
      Returns:
        Entity identity list or `null`.

    - #### getFullEntityNameUnderscoreIDForXMLDocuments

          java.lang.String getFullEntityNameUnderscoreIDForXMLDocuments(com.corticon.rulesemf.viewtestmodel.testsheet.treeset.TestNode aTestNode)

      Deprecated.
      Return the XML entity name +"_id_"+ID or if XML entity name is empty then return fully-qualified entity name.
      Returns:
        the XML name or fullyqualified entity name +"_id_"+ID

    - #### getExtension

          com.corticon.rulesemf.canonicalvocabularymodel.EntityExtension getExtension()

      Return the EntityExtension for this EClass if any.
      Returns:
        EntityExtension instance.

    - #### getFullyQualifiedName

          java.lang.String getFullyQualifiedName()

      Return the base fully-qualified name of this entity.
      Returns:
        Fully-qualified entity name.

    - #### getFullyQualifiedName

          java.lang.String getFullyQualifiedName(boolean abBase)

      Return the base or localized fully-qualified name of this entity.
      Parameters:
        `abBase` - `true` to return base value.
      Returns:
        Fully-qualified entity name.

    - #### getFullyQualifiedCDOName

          java.lang.String getFullyQualifiedCDOName()

      This method will return the fully qualified CDO Name.
      Returns:
        Fully-qualified CDO Name

    - #### getFullyQualifiedCDOInterfaceName

          java.lang.String getFullyQualifiedCDOInterfaceName()

      This method will return the fully qualified CDO Interface Name.
      Returns:
        Fully-qualified CDO Interface Name

    - #### getCDOName

          java.lang.String getCDOName()

      This will return the CDO Name
      Returns:
        CDO Name

    - #### getCDOPackage

          java.lang.String getCDOPackage()

      This method will return the fully qualified package of the CDO Name.
      Returns:
        CDO Package Name

    - #### getCDOInterfacePackage

          java.lang.String getCDOInterfacePackage()

      This method will return the fully qualified pacage of the CDO InterfaceName.

    - #### getIdentityAssociationEnds

          java.util.ArrayList getIdentityAssociationEnds()

      Return an list of all identity association ends.
      Returns:
        ArrayList of identity association ends.

    - #### getIdentityAttributes

          java.util.ArrayList getIdentityAttributes()

      Return an list of all identity attributes.
      Returns:
        ArrayList of identity attributes.

    - #### getJavaClassName

          java.lang.String getJavaClassName()

      Return the Java Class Name
      Returns:
        Java Class Name.

    - #### getJavaPackage

          java.lang.String getJavaPackage()

      Return the Java package name.
      Returns:
        Java package.

    - #### getName

          java.lang.String getName()

      Return the unqualified class name.
      Specified by:
        `getName` in interface `IElement`
      Returns:
        Class name.

    - #### getParentDomain

          IDomain getParentDomain()

      Return the parent domain of this entity.
      Returns:
        Parent (or root) domain.

    - #### getDomainHierarchy

          java.lang.String getDomainHierarchy()

      Return the domain hierarchy for this entity.
      Returns:
        String of domain nodes or empty string if no entity doesn't belong to domain.

    - #### getDomainHierarchy

          java.lang.String getDomainHierarchy(boolean abBase)

      Return the base or localized domain hierarchy for this entity.
      Parameters:
        `abBase` - `true` to return base value.
      Returns:
        String of domain nodes or empty string if no entity doesn't belong to domain.

    - #### getSupertypeList

          java.util.List getSupertypeList()

      Return a List of IEntity instances which are the supertypes of this entity.
      Returns:
        List of IEntity instances.

    - #### getSubtypeList

          java.util.List getSubtypeList()

      Return a List of IEntity instances which are direct subtypes of this entity.
      Returns:
        List of IEntity subtype instances.

    - #### getSupertypes

          ValueSet getSupertypes()

      Return a value set consisting of the fully-qualified names of the supertypes from which this entity descends.
      Returns:
        ValueSet of fully-qualified supertype names.

    - #### getVersionColumn

          java.lang.String getVersionColumn()

      Return the JPOX version:column property.
      Returns:
        JPOX version:column property.

    - #### getVersionStrategy

          java.lang.String getVersionStrategy()

      Return the JPOX version:strategy property.
      Returns:
        JPOX version:strategy property.

    - #### getXMLClassName

          java.lang.String getXMLClassName()

      Return the XML Class Name
      Returns:
        XML Class Name.

    - #### getXMLNamespace

          java.lang.String getXMLNamespace()

      Return the XML Namespace.
      Returns:
        XML Namespace.

    - #### isApplicationIdentity

          boolean isApplicationIdentity()

      Convenience method to determine whether this entity uses application identity (for JPOX) as opposed to datastore identity.
      Returns:
        `true` if this entity uses application identity.

    - #### isDatastoreIdentity

          boolean isDatastoreIdentity()

      Convenience method to determine whether this entity uses datastore identity (for JPOX) as opposed to application identity.
      Returns:
        `true` if this entity uses datastore identity.

    - #### isDatastoreCaching

          boolean isDatastoreCaching()

      Convenience method to determine whether datastore caching is specified for this entity.
      Returns:
        `true` if datastore caching is specified for this entity.

    - #### isDatastorePersistent

          boolean isDatastorePersistent()

      Convenience method to determine whether this entity is datastore-persistent.
      Returns:
        `true` if this entity is datastore-persistent.

    - #### isInstance

          boolean isInstance(IEntity aIEntity)

      Return `true` if the specified argument is an instance of this entity (i.e., either the same as this entity or a direct or indirect descendent entity).
      Parameters:
        `aIEntity` - Entity to be tested.
      Returns:
        `true` if specified entity is an instance of this entity.

    - #### isSubtype

          boolean isSubtype(IEntity aIEntity)

      Return `true` if the specified argument is a direct or indirect subtype of this entity.
      Parameters:
        `aIEntity` - Entity to be tested.
      Returns:
        `true` if specified entity is a subtype of this entity.

    - #### isSupertype

          boolean isSupertype(IEntity aIEntity)

      Return `true` if the specified argument is a direct or indirect supertype of this entity.
      Parameters:
        `aIEntity` - Entity to be tested.
      Returns:
        `true` if specified entity is a supertype of this entity.

    - #### isTable

          boolean isTable()

      Determine whether this entity is mapped to a table.
      Returns:
        `true` if this entity is mapped to a table.

    - #### isView

          boolean isView()

      Determine whether this entity is mapped to a view.
      Returns:
        `true` if this entity is mapped to a view.

    - #### isXMLClassNameEmpty

          boolean isXMLClassNameEmpty()

      Return true if XML Class name is null or empty
      This is used to determine how to construct the XSD and the XML entity names.
      This method differs from getXMLClassName() because getXMLClassName() returns getName() if XMLClassName is null.
      Returns:
        boolean.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.